Package be.fgov.ehealth.etkra.protocol.v2

# Class StartETKRegistrationResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.etkra.protocol.v2.StartETKRegistrationResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class StartETKRegistrationResponse extends StatusResponseType implements Serializable
The response contains a "challenge" that must be decrypted by the user. The web service has generated a random serial number and then encrypted it with the PublicEncryptionKey that was supplied by the user in the request. The user now needs to decrypt the challenge in order to prove their possession of the private key. The number that results from this decryption needs to be used as the serial number of the certificate of the encryption key.

Java class for StartETKRegistrationResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StartETKRegistrationResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="Challenge" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartETKRegistrationResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getChallenge()`
  A challenge created by the server.
  `void`
  `setChallenge(byte[] value)`
  Sets the value of the challenge property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StartETKRegistrationResponse

    public StartETKRegistrationResponse()

- ## Method Details

  - ### getChallenge

    public byte[] getChallenge()
    A challenge created by the server. The challenge consist of an encrypted number followed by 256 bits containing the SHA-256 hash of this serial number. The client must decrypt the challenge with the private key associated with the public key to prove that they possess the correct private key. Clients can verify that their decryption was successful if the SHA-256 hash of the resulting data is equal to the last 256 bits of the challenge.
    Returns:
      possible object is byte[]

  - ### setChallenge

    public void setChallenge(byte[] value)
    Sets the value of the challenge property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getChallenge()`